Name:           groovy
Version:        2.3.9
Release:        %mkrel 1
Summary:        Dynamic language for the Java Platform
Group:          Development/Java
License:        ASL 2.0 and BSD and EPL and Public Domain and CC-BY
URL:            http://groovy.codehaus.org/
Source0:        http://dist.groovy.codehaus.org/distributions/%name-binary-%{version}.zip
Source1:	%name.desktop
Source2:	%name.png
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:      noarch
Requires:	task-java

%description
Groovy is an agile and dynamic language for the Java Virtual Machine,
built upon Java with features inspired by languages like Python, Ruby and
Smalltalk.  It seamlessly integrates with all existing Java objects and
libraries and compiles straight to Java bytecode so you can use it anywhere
you can use Java.

%prep
%setup -q

%build
#nobuild

%install
rm -rf %buildroot

cd embeddable
  for f in ../bin/*; do
    sed 's:bin/sh:bin/sh\nGROOVY_HOME=/usr/share/groovy:' -i $f
  done

ln -s "groovy-all-2.3.9.jar" "groovy-all.jar"

cd ..

# Create the directories and package the files
  install -d "%buildroot/usr/share/groovy" "%buildroot/usr/bin"
  cp -r lib conf embeddable "%buildroot/usr/share/groovy"
  cp bin/* "%buildroot/usr/bin"

# Remove all DOS/Windows batch files
  find %buildroot -name '*.bat' -exec rm {} \;

# Package the APACHE license
  install -Dm644 LICENSE.txt \
    "%buildroot/usr/share/licenses/groovy/LICENSE"
  install -Dm644 CLI-LICENSE.txt \
    "%buildroot/usr/share/licenses/groovy/CLI-LICENSE"

# Package the BSD license
  install -Dm644 ANTLR-LICENSE.txt \
    "%buildroot/usr/share/licenses/groovy/ANTLR-LICENSE"

# Package the custom license
  install -Dm644 ASM-LICENSE.txt \
    "%buildroot/usr/share/licenses/groovy/ASM-LICENSE"
  install -Dm644 JSR223-LICENSE.txt \
    "%buildroot/usr/share/licenses/groovy/JSR223-LICENSE"

# Desktop shortcut for Groovy Console
  install -Dm644 %SOURCE1 %buildroot/%{_datadir}/applications/groovy.desktop
  install -Dm644 %SOURCE2 %buildroot/%{_datadir}/pixmaps/groovy.png
    
    
%files
%defattr(-,root,root,-)
%{_bindir}
%{_datadir}/groovy
%{_datadir}/licenses
%{_datadir}/applications/groovy.desktop
%{_datadir}/pixmaps/groovy.png

%clean
rm -rf %buildroot


%changelog
* Tue Jan 13 2015 bb <bb> 2.3.9-1pclos2015
- import into pclos
